
Foreman - Bug #2607

Prevent web browsers from providing a stored password

06/04/2013 05:48 AM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee:    

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We may add this HTML tag to prevent password filling on the hosts root password field:

http://stackoverflow.com/questions/468288/input-type-password-dont-let-browser-remember-the-password

Low priority.

Related issues:

Is duplicate of Foreman - Bug #2589: cannot login to provisioned host Duplicate 05/30/2013

Associated revisions

Revision 0c6065e6 - 06/05/2013 05:32 AM - Libor Zoubek 

fixes #2607 - add autocomplete=false attribute to root_host_pass input x

Revision 4649d7fc - 06/05/2013 02:40 PM - Libor Zoubek 

fixes #2607 - add autocomplete=false attribute to root_host_pass input x

(cherry picked from commit 0c6065e6633b4d377062c90013439b99db1e3bf0)

History

#1 - 06/04/2013 07:51 AM - Joseph Magen

- Priority changed from Low to High

#2 - 06/04/2013 07:52 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/685

#3 - 06/05/2013 05:33 AM - Dominic Cleal

- Category set to Web Interface

#4 - 06/05/2013 05:33 AM - Dominic Cleal

- Assignee deleted (Lukas Zapletal)

#5 - 06/05/2013 06:17 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0c6065e6633b4d377062c90013439b99db1e3bf0.
